SDL_DestroyMutex(3)

NAME
SDL_DestroyMutex - Destroy a mutex created with SDL_CreateMutex().

SYNOPSIS
#include <SDL3/SDL_mutex.h>

void SDL_DestroyMutex(SDL_Mutex *mutex);

DESCRIPTION
This function must be called on any mutex that is no longer needed. Failure to destroy a mutex will result in a system memory or resource leak. While it is safe to destroy a mutex that is _unlocked_, it is not safe to attempt to destroy a locked mutex, and may result in undefined behavior depending on the platform.

FUNCTION PARAMETERS

mutex
    the mutex to destroy.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateMutex(3)